Welcome to the new FlexRadio Community! Please review the new Community Rules and other important new Community information on the Message Board.
If you are having a problem, please check the Help Center for known solutions.
Need technical support from FlexRadio? It's as simple as Creating a HelpDesk ticket.

SmartSDR v3.2.39 is Now Available

Tim - W4TME
Tim - W4TME Administrator, FlexRadio Employee admin
edited June 3 in Message Board

FlexRadio Systems announces the immediate availability of SmartSDR v3.2.39.

This version of SmartSDR fixes the SmartLink login issue for the Maestro and M Model FLEX-6000s. FlexRadio highly recommends upgrading to SmartSDR v3.2.39 at your earliest convenience. FlexRadio strongly recommends not reverting to any previous versions of SmartSDR v3 to ensure the optimal user experience.

SmartSDR 3.2.39 can be downloaded from the FlexRadio Systems website. SmartSDR v3.2.39 is a maintenance release containing important software bug fixes for version 3 of SmartSDR for Windows, SmartSDR for Maestro, SmartSDR for M models, SmartSDR CAT, and DAX. 

Please download and review the SmartSDR v3.2.39 Release Notes included with the release package before installing SmartSDR v3.2.39 on your FLEX-6000.

================================================================

WARNING FOR ALL USERS: SmartSDR v3.2.39 and all subsequent SmartSDR v3.x versions require version 4.6.2 of the .NET Framework. The .NET Framework is an integral component of the Windows operating system that supports running applications on Windows. The SmartSDR v3.2.39 Installer will automatically update the OS and .NET version for the Maestro and M Model FLEX-6000s. PLEASE READ THE SMARTSDR v3.2.39 RELEASE NOTES FOR IMPORTANT INFORMATION REGARDING THE UPDATE FOR MAESTROS AND M MODEL FLEX-6000s BEFORE ATTEMPTING THE UPGRADE.

For Win10 users, the .NET update is already installed and should not require any actions to update the .NET Framework. For other versions of Windows, you may be prompted to upgrade the .NET Framework before you can use SmartSDR v3.2.39.

Please follow any prompts provided by your version of Windows for the installation of .NET v4.6.2. Also, a reboot of the PC may be required after upgrading the .NET Framework on your PC. Note that you may have to install Windows security updates as a prerequisite before installing .NET v4.6.2 and .NET 4.6.2 may not install on unsupported versions of Windows.

================================================================

AVAILABILITY OF OLDER VERSIONS OF SmartSDR: Starting with SmartSDR v3.2.34, SmartLink is no longer supported with previous versions of SmartSDR. All previous versions of SmartSDR for Windows, except for SmartSDR v2.4.10, including SmartSDR for the Maestro and the M models will no longer be available for use after the forthcoming release for the Maestro and M model radios. This will give you time to prepare for upgrading to the latest version of SmartSDR. It is highly recommended that you upgrade to the latest version of SmartSDR at your earliest convenience. This has ramifications for remote users since radio firmware updates are not supported over a SmartLink connection.

================================================================

WARNING FOR REMOTE USERS: Please see the WARNINGS and CAUTIONS below, specifically the one regarding the need to factory reset the radio after upgrading to SmartSDR v3.3.39 from v3.2.31. A factory reset cannot be performed remotely, so it is recommended that someone be on site with the radio when upgrading.

WARNING: Due to a software defect inadvertently introduced in SmartSDR v3.2.31, if upgrading from SmartSDR v3.2.31 it is STRONGLY recommended that you perform a factory reset of your FLEX-6000 after upgrading to SmartSDR v3.2.39.

Once the radio has been factory reset, DO NOT import any profiles created using SmartSDR v3.2.31. We recommend deleting any profiles exported using SmartSDR v3.2.31 to ensure that they are not utilized as profile backups. Importing profiles created with other versions of SmartSDR are acceptable.

In order to update the Maestro to SmartSDR v3.2.39, you must be able to connect to a FLEX-6000 before you can start the upgrade. And you must be able to maintain the connection to the FLEX-6000 throughout the upgrade process. 

FLEXVSP NOTE: If upgrading from SmartSDR v3.1.12 or below, this version of SmartSDR will update the FlexVSP driver. The SmartSDR installation software will automatically remove the previous FlexVSP driver and install the new one. Please reboot your PC when prompted at the end of the SmartSDR v3.2.39 installation process to ensure the FlexVSP driver is installed correctly. The new FlexVSP driver is not backward compatible with previous versions of SmartSDR CAT. An unhandled exception error will occur when using previous versions of SmartSDR with the new FlexVSP driver.

================================================================

Release Highlights for SmartSDR v3.2.39

Fixed SmartLink Login Issue for Maestro and M Model Radios: Due to a security update to Auth0, the software used to manage secure access for SmartLink, the .NET Framework used with previous versions of SmartSDR does not properly support the TLS v1.3 security update. This issue has been resolved for SmartSDR for the Maestro and the M Model FLEX-6000 software defined radios. Starting with SmartSDR v3.2.37, all versions of SmartSDR will require version 4.6.2 of the .NET Framework (#J8420)

OS Updates for Maestro and M Model Radios: Add the .NET Updater for OS and .NET updates for the Maestro and M Model FLEX-6000 radios (#J8424)

================================================================

The SmartSDR v3.2.39 Changelog:

#J8424 – Add the .NET Updater for OS and .NET updates for the Maestro and M Model FLEX-6000 radios

#J8420 – Update .NET Framework to 4.6.2 to fully support TLS 1.3 for secure SmartLink connections for Maestro and M Model FLEX-6000s